Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 10-07-2009 12:41:37

phlinux
Membre
Lieu : S-M
Distrib. : Jessie
Noyau : 4.6
(G)UI : Openbox (+Rox+Feh)
Inscription : 10-05-2009

Iceweasel 3.5.1

Bjr,
Pas encore dans les dépôts courants, mais malgré tout installable (< mot pas dans mon dico)
Donc, il suffit, parait-il,de récupérer :
xulrunner-1.9.1_1.9.1-1_i386.deb
libmozjs2d_1.9.1-1_i386.deb
iceweasel_3.5-1_i386.deb
à cette adresse (merci à cep). Et puis de les immiscer dans le système

Voilà, j'y vais
@+

Pages perso : feh, omegat, udisks, sa station de travail comme passerelle

Hors ligne

#2 10-07-2009 12:49:21

phlinux
Membre
Lieu : S-M
Distrib. : Jessie
Noyau : 4.6
(G)UI : Openbox (+Rox+Feh)
Inscription : 10-05-2009

Re : Iceweasel 3.5.1

re-
- c'est en anglais
- les extensions ne sont pas reconnues
- patience

Pages perso : feh, omegat, udisks, sa station de travail comme passerelle

Hors ligne

#3 10-07-2009 13:00:47

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : Iceweasel 3.5.1

Yop ! Merci phlinux... wink

Bon "installable", c'est de l'english pur jus...
In french is :
"il peut être installé"

Des mots des mots... Comme :
- des notes... des notes... trop de notes...
d'un roi monarchique à Mozart impérial :
- pas une de trop, sire... pas une...

Tchibâââ ! lol

"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#4 10-07-2009 14:27:22

phlinux
Membre
Lieu : S-M
Distrib. : Jessie
Noyau : 4.6
(G)UI : Openbox (+Rox+Feh)
Inscription : 10-05-2009

Re : Iceweasel 3.5.1

re-
Ben tiens, toi qu'est en expérimental, tu devrais pas tarder à le voir dans synaptic.
J'aimerais dire que cette mouture est plus vivace, mais c'est pas flagrant (en fait pas dé-flagrant)
A noter que l'astuce sur browser.jar, mise dans le wiki, ne fonctionne pas aujourd'hui : après la manip j'ai une erreur.
A noter aussi ce gros (énorme) avantage de linux, qui nous permet de passer d'une version (testing, etc..) à l'autre (expérimentale) et de revenir à la première, sans perdre la configuration et les données

Dernière modification par phlinux (10-07-2009 14:28:00)


Pages perso : feh, omegat, udisks, sa station de travail comme passerelle

Hors ligne

#5 10-07-2009 14:54:47

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : Iceweasel 3.5.1

pas dé-flagrant... délit ! Vos papiers vous làààà.... Mouaaaaaaaaaaaah lol

S'il est en angliche l'epiphany nouveau, il fera sa vie sans moi... résolument.

Oui linux et le libre... Viva Zapata aussi !

Amitié, Joel

"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#6 11-07-2009 03:01:14

martinux_qc
Administrateur
Lieu : Montréal (Québec)
Distrib. : Sid
Noyau : Linux 4.7.0-1-amd64
(G)UI : XFCE 4.12
Inscription : 12-10-2008

Re : Iceweasel 3.5.1

Salut

En experimental, cela y est presque en effet. Iceweasel y a fait son apparition, il y a quelques jours déjà. Un

aptitude -s -t experimental install iceweasel


testé aujourd'hui permet de tout installer à condition de vouloir utiliser Iceweasel en anglais. Le paquet iceweasel-l10n-fr n'est pas encore disponible pour cette version. Cela ne devrait pas trop tarder. Hier encore c'est xulrunner-1.9.1 qui bloquait.

Ensuite, comme mentionné, il y a le problème de la compatibilité des extensions.

Encore un peu de patience donc avant de se tester vraiment cette nouvelle mouture.


"L'éducation vise à former des citoyens pas trop tatas et non pas à envoyer le plus de tatas possible à l'université."
Pierre Foglia (Journaliste à la retraite à La Presse)
Note : au Québec, le mot tata a un sens péjoratif qui sert à désigner une personne un peu idiote ou insignifiante. D'où les expressions familières : Espèce de grand, de gros tata! Être, avoir l'air tata.

Hors ligne

#7 21-07-2009 15:30:06

phlinux
Membre
Lieu : S-M
Distrib. : Jessie
Noyau : 4.6
(G)UI : Openbox (+Rox+Feh)
Inscription : 10-05-2009

Re : Iceweasel 3.5.1

Re-
Pour les  gens "préssés" la non-compatibilité actuelle des extensions, avec IW 3.5 peut se résoudre.

Par exemple sur la page de l'indispensable Dictionnaire HunSpell en Français il suffit de se rendre en bas, de cliquer sur View Older Versions (cliquez on vous dit !).

Nouvelle page et hop ,qu'est ce qu'on voit ? une version expérimentale 2.1 compatible IW 3.5 (avec une prise de risque, quand même, qui vous oblige à confirmer). Re-click et re-hop, etc...

Dernière modification par phlinux (21-07-2009 15:36:45)


Pages perso : feh, omegat, udisks, sa station de travail comme passerelle

Hors ligne

#8 21-07-2009 18:06:22

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : Iceweasel 3.5.1

phlinux le coquin a écrit :

Pour les  gens "préssés" la non-compatibilité actuelle des extensions, avec IW 3.5 peut se résoudre.


IW 3.5 = Iceweasel 3.5.... wink

Amitié tatoué, Joel


"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#9 14-08-2009 16:49:43

phlinux
Membre
Lieu : S-M
Distrib. : Jessie
Noyau : 4.6
(G)UI : Openbox (+Rox+Feh)
Inscription : 10-05-2009

Re : Iceweasel 3.5.1

Bjr,

Toujours pour les "préssés" une possibilité de passer IW 3.5.1 (correspond à  FF 3.5) en notre belle langue > fr.xpi (3.5)

Pages perso : feh, omegat, udisks, sa station de travail comme passerelle

Hors ligne

#10 05-09-2009 04:21:12

martinux_qc
Administrateur
Lieu : Montréal (Québec)
Distrib. : Sid
Noyau : Linux 4.7.0-1-amd64
(G)UI : XFCE 4.12
Inscription : 12-10-2008

Re : Iceweasel 3.5.1

Salut

Aujourd'hui, je vais un petit tour sur le site officiel Debian et qu'est-ce que je vois. Le paquet iceweasel-l10n-fr, pour la localisation française, pour Iceweasel 3.5 est disponible dans "experimental". Sans plus attendre, je vais un :

# aptitude install iceweasel iceweasel-l10n-fr -t experimental


Et le tour est joué. En démarrant Iceweasel, seul un thème est mis à jour tout le reste est ok. Le dictionnaire HunSpell en Français 2.1 était installé depuis longtemps. Tout baigne donc dans l'huile.

Comme c'est disponible dans "experimental" tout porte à croire que Iceweasel 3.5 devrait être disponible prochainement dans "sid".

Martin


"L'éducation vise à former des citoyens pas trop tatas et non pas à envoyer le plus de tatas possible à l'université."
Pierre Foglia (Journaliste à la retraite à La Presse)
Note : au Québec, le mot tata a un sens péjoratif qui sert à désigner une personne un peu idiote ou insignifiante. D'où les expressions familières : Espèce de grand, de gros tata! Être, avoir l'air tata.

Hors ligne

#11 05-09-2009 14:00:24

phlinux
Membre
Lieu : S-M
Distrib. : Jessie
Noyau : 4.6
(G)UI : Openbox (+Rox+Feh)
Inscription : 10-05-2009

Re : Iceweasel 3.5.1

re-
Merci pour la nouvelle : c'est important de surveiller dans les cas où le paquet n'est plus installé.
A noter que je n'ai pas constaté de différence, d'occupation mémoire par exemple, entre le paquet et l'extention fr.xpi.

Pages perso : feh, omegat, udisks, sa station de travail comme passerelle

Hors ligne

#12 31-10-2009 19:29:33

llapingachos
Membre
Lieu : Toulouse
Distrib. : Unstable > Testing > Experimental
Noyau : 2.6.31-5.slh.2-sidux-686
(G)UI : Openbox
Inscription : 19-09-2009

Re : Iceweasel 3.5.1

Sinon, la version 3.5 est en sid depuis quelques semaines :
[c]lap @ lap (18:28) %apt-cache policy iceweasel
iceweasel:
  Installé : 3.5.4-1
  Candidat : 3.5.4-1
Table de version :
*** 3.5.4-1 0
        987 http://ftp.fr.debian.org sid/main Packages
        100 /var/lib/dpkg/status
[/c]
smile

GNU/Linux is user friendly, it's just selective about who its friends are.

Hors ligne

#13 30-11-2009 17:39:05

laguespa
Membre
Distrib. : Jessie
Noyau : 4.2.0-0.bpo.1-amd64
(G)UI : Mate
Inscription : 25-09-2009

Re : Iceweasel 3.5.1

Salut à tou(te)s

J'ai iceweasel 3.5.5. en anglais depuis que je suis passé à Sid.  Ma machine est un amd64. Iceweasel en anglais ne me dérange pas trop mais par curiosité j'aimerais savoir quelles manipulations je peux faire pour l'obtenir en français.

# aptitude install -t iceweasel squeeze


est-il approprié dans ce cas ?

A+

Dernière modification par laguespa (30-11-2009 18:00:18)


"Ce serait peut-être l’une des plus grandes opportunités manquées de notre époque si le logiciel libre ne libérait rien d’autre que du code."

Hors ligne

#14 30-11-2009 19:04:18

damien
Modo / Rédacteur Wiki
Lieu : St Etienne
Distrib. : Debian Jessie 8
Noyau : Linux 3.16.0-4-amd64
(G)UI : Gnome3
Inscription : 22-09-2008
Site Web

Re : Iceweasel 3.5.1

Salut laguespa

Une commande que m'a appris smolski et qui peut être très intéressant dans ton cas

apt-cache madison paquet iceweasel


Et voici ce qu'il me réponds

iceweasel |    3.5.5-1 | http://ftp.fr.debian.org sid/main Packages
iceweasel |   3.0.14-1 | http://ftp.fr.debian.org squeeze/main Packages
iceweasel |    3.0.6-1 | http://ftp.fr.debian.org lenny/main Packages
iceweasel | 2.0.0.19-0etch1 | http://ftp.fr.debian.org etch/main Packages
iceweasel | 2.0.0.19-0etch1 | http://ftp.fr.debian.org etch/main Sources
iceweasel |    3.0.6-1 | http://ftp.fr.debian.org lenny/main Sources
iceweasel |   3.0.14-1 | http://ftp.fr.debian.org squeeze/main Sources
iceweasel |    3.5.5-1 | http://ftp.fr.debian.org sid/main Sources


Donc si tu éxécute la commande

aptitude install -t iceweasel squeeze


Tu rsiques de downgrader iceweasel en version 3.0

@+
wink

damien


logo_3dminfographie_signature.png

Hors ligne

#15 30-11-2009 20:03:51

le_fada
Membre
Lieu : Toujours à l'ouest
Distrib. : Sid «ad vitam æternam»
Noyau : 2.6.33-amd64
(G)UI : gnome-shell
Inscription : 23-09-2009

Re : Iceweasel 3.5.1

Salut,

en Sid, tu devrais avoir Iceweasel en Français ( comme chez moi, version 3.5.5-1) car :

apt-cache policy iceweasel-l10n-fr
iceweasel-l10n-fr:
  Installé : 1:3.5.5+debian-1
  Candidat : 1:3.5.5+debian-1
Table de version :
*** 1:3.5.5+debian-1 0
        500 http://ftp.fr.debian.org sid/main Packages
        100 /var/lib/dpkg/status
     1:3.0.14+debian-3 0
        500 http://ftp.fr.debian.org squeeze/main Packages
     1:3.0.6+debian-1 0
        500 http://ftp.fr.debian.org lenny/main Packages


donc un simple aptitude install iceweasel-l10n-fr devrait suffire.

Dernière modification par le_fada (30-11-2009 20:05:15)

Hors ligne

#16 30-11-2009 23:59:37

laguespa
Membre
Distrib. : Jessie
Noyau : 4.2.0-0.bpo.1-amd64
(G)UI : Mate
Inscription : 25-09-2009

Re : Iceweasel 3.5.1

Salut.

Damien quelle superbe ligne de commande ! Cependant pour moi ça donne

# apt-cache madison paquet iceweasel
iceweasel |    3.5.5-1 | http://ftp.fr.debian.org sid/main Packages


Donc apparemment je ne peux même pas downgrader. Ca explique que rien n'a changé quand j'ai tenté de prendre iceweasel dans la branche squeeze puis dans la lenny.


Le fada j'ai bien iceweasel 3.5.5-1 et iceweasel-l10n-fr aussi mais ça reste en anglais. Le côté génant que j'avais pas vu au début c'est que quand je vais sur un site multilingue j'ai les pages en anglais d'entrée. C'est le cas avec debian.org par exemple.

A+

Dernière modification par laguespa (01-12-2009 00:40:26)


"Ce serait peut-être l’une des plus grandes opportunités manquées de notre époque si le logiciel libre ne libérait rien d’autre que du code."

Hors ligne

#17 01-12-2009 03:41:15

martinux_qc
Administrateur
Lieu : Montréal (Québec)
Distrib. : Sid
Noyau : Linux 4.7.0-1-amd64
(G)UI : XFCE 4.12
Inscription : 12-10-2008

Re : Iceweasel 3.5.1

Salut

1) Pour installer une version d'un paquet/d'une application qui se trouve dans une autre branche, tu dois avoir les entrées correspondantes dans ton fichier sources.list. Je suis sous sid et avec un sources.list complet comme celui du wiki je peux aller chercher les paquets que je veux dans les branches que je veux.

2) Installer la version dans squeeze ne va pas résoudre ton problème. Sous sid, Iceweasel est bien en français. Le problème est ailleurs. Tu pourrais déplacer le fichier caché /home/ton_nom/.mozilla et relancer Iceweasel pour voir si le problème persiste. Tu pourras récupérer tes marques-pages et plugins par la suite. Sinon, tu peux tenter un :

aptitude purge iceweasel iceweasel-l10n-fr


puis réinstaller (ici le fichier caché n'est pas supprimé mais tous les fichiers reliés aux paquets enlevés oui).

Que donne un :

apt-cache policy iceweasel-l10n-fr


"L'éducation vise à former des citoyens pas trop tatas et non pas à envoyer le plus de tatas possible à l'université."
Pierre Foglia (Journaliste à la retraite à La Presse)
Note : au Québec, le mot tata a un sens péjoratif qui sert à désigner une personne un peu idiote ou insignifiante. D'où les expressions familières : Espèce de grand, de gros tata! Être, avoir l'air tata.

Hors ligne

#18 01-12-2009 10:01:35

laguespa
Membre
Distrib. : Jessie
Noyau : 4.2.0-0.bpo.1-amd64
(G)UI : Mate
Inscription : 25-09-2009

Re : Iceweasel 3.5.1

Salut Martin.

martin_mtl a écrit :

Salut
1) Pour installer une version d'un paquet/d'une application qui se trouve dans une autre branche, tu dois avoir les entrées correspondantes dans ton fichier sources.list. Je suis sous sid et avec un sources.list complet comme celui du wiki je peux aller chercher les paquets que je veux dans les branches que je veux.


J'ai le sources.list du wiki avec lenny, squeeze et sid et pourtant apparemment je ne peux pas choisir le paquet de la branche que je souhaite. Je créerai peut-être un sujet pour régler ça parce que je trouve que c'est un des aspects pratique les plus intéressants de Debian.

Concernant iceweasel, le déplacement de mon /home/mon_identifiant/.mozilla et le redémarrage ensuite me l'as remis en français. Par contre je ne sais pas comment récupérer mes plugins, marques pages et autres identifiants et mots de passe enregistrés.

En tout cas merci de votre aide à tou(te)s.

A+

Dernière modification par laguespa (01-12-2009 10:03:16)


"Ce serait peut-être l’une des plus grandes opportunités manquées de notre époque si le logiciel libre ne libérait rien d’autre que du code."

Hors ligne

#19 01-12-2009 10:29:11

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : Iceweasel 3.5.1

laguespa,

Comme signalé précedemment, enlève d'abord la version que tu veux modifier.

Si ton sources.list est complet et que tu as bien fait le update, tu peux voir les versions dispos d'un paquet choisi avec la commande :

$ apt-cache madison paquet <le nom du paquet choisi>


te donnera les versions disponibles avec leurs branches respectives.

Ensuite, la commande :

# apt-get install -s -t <la branche du paquet choisi> <le nom du paquet choisi>


Te permettra de l'installer
   1/ en faisant d'abord un essai grâce à l'option -s,
   2/puis de l'installer vraiment en supprimant cette option -s dans la même ligne de commande et de le maintenir à jour automatiquement.

Ne saute pas les étapes, et utilise aptitude à la place de apt-get pour gérer plus lisiblement tes installations exotiques.

Hop ! wink

Dernière modification par smolski (01-12-2009 10:32:16)


"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#20 01-12-2009 10:45:41

laguespa
Membre
Distrib. : Jessie
Noyau : 4.2.0-0.bpo.1-amd64
(G)UI : Mate
Inscription : 25-09-2009

Re : Iceweasel 3.5.1

Salut smolski.

Je vais créer un sujet pour ce problème spécifique mais je ne sais pas quel titre lui donner pour qu'il soit facilement retrouvable par d'autres utilisateurs qui rencontreraient le même soucis. Si tu as une idée de titre de sujet à me donner je le crée et on en rediscute là-bas. Pour ce post je préfère rester sur iceweasel sinon ça va être un peu le bordel.

A+

"Ce serait peut-être l’une des plus grandes opportunités manquées de notre époque si le logiciel libre ne libérait rien d’autre que du code."

Hors ligne

#21 02-12-2009 03:39:23

martinux_qc
Administrateur
Lieu : Montréal (Québec)
Distrib. : Sid
Noyau : Linux 4.7.0-1-amd64
(G)UI : XFCE 4.12
Inscription : 12-10-2008

Re : Iceweasel 3.5.1

Salut

Concernant iceweasel, le déplacement de mon /home/mon_identifiant/.mozilla et le redémarrage ensuite me l'as remis en français. Par contre je ne sais pas comment récupérer mes plugins, marques pages et autres identifiants et mots de passe enregistrés.


Il s'agit d'aller récupérer ce qui t'intéresse dans l'ancien dossier /.mozilla, plus précisément dans /mozilla/firefox/*.default (le * correspond à une suite de lettres et de chiffres). Pour les marques-pages, c'est le fichier bookmarks.html. Si tu t'aperçois qu'il manque des choses dans le marque-pages, il faudra remettre temporairement l'ancien /.mozilla  à sa place pour sauvergarder tes marques-pages actuels puis les récupérer dans le "nouveau" Iceweasel (si nécessaire je pourrais te mettre tout en détail). Tu peux aussi avoir une sauvegarde récente dans le dossier bookmarkbackups de l'ancien ./mozilla.

Pour le reste, il s'agit de récupérer si nécessaire le contenu des fichiers adblockplus, extensions et searchplugins. Pour les mots de passe, je ne connais pas par contre le ou les fichiers concernés. Au pire, tu pourras les entrer à nouveau.

Tu peux conserver dans ton /home le contenu de l'ancien /.mozilla en le nommant, par exemple, /.mozilla.old, le temps de tout remettre sur pied.


"L'éducation vise à former des citoyens pas trop tatas et non pas à envoyer le plus de tatas possible à l'université."
Pierre Foglia (Journaliste à la retraite à La Presse)
Note : au Québec, le mot tata a un sens péjoratif qui sert à désigner une personne un peu idiote ou insignifiante. D'où les expressions familières : Espèce de grand, de gros tata! Être, avoir l'air tata.

Hors ligne

Pied de page des forums